import request from '@/utils/request'

// 查询cmc品牌项目进度列表
export function listBrandProgress(query) {
  return request({
    url: '/oa/brandProgress/list',
    method: 'get',
    params: query
  })
}

// 查询cmc品牌项目进度详细
export function getBrandProgress(progressId) {
  return request({
    url: '/oa/brandProgress/' + progressId,
    method: 'get'
  })
}

// 新增cmc品牌项目进度
export function addBrandProgress(data) {
  return request({
    url: '/oa/brandProgress',
    method: 'post',
    data: data
  })
}

// 修改cmc品牌项目进度
export function updateBrandProgress(data) {
  return request({
    url: '/oa/brandProgress',
    method: 'put',
    data: data
  })
}

// 删除cmc品牌项目进度
export function delBrandProgress(progressId) {
  return request({
    url: '/oa/brandProgress/' + progressId,
    method: 'delete'
  })
}
